// ADDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "AXCAC01.h"
#include "ADDlg.h"
#include "ADSetDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CADDlg _CAO


CADDlg::CADDlg(CAXCAC01Doc* pDoc,CWnd* pParent /*=NULL*/)
	: CDialog(CADDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CADDlg)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_DATA_INIT
	
	m_pDoc		= pDoc;
	m_pTGraph	= NULL;
	m_bADLoop	= FALSE;
	m_uTimer	= 0;
}


void CADDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CADDlg)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	DDX_Control(pDX, IDC_TITLE1_BUTTON,		m_Title1Btn);
	DDX_Control(pDX, IDC_TITLE2_BUTTON,		m_Title2Btn);
	DDX_Control(pDX, IDC_ADSET_BUTTON,		m_ADSetBtn);
	DDX_Control(pDX, IDC_GO_BUTTON,			m_ADGoBtn);
	DDX_Control(pDX, IDC_SINGLE_BUTTON,		m_ADSingleBtn);
	DDX_Control(pDX, IDC_TEXT1_STATIC,		m_GraphTitle1);
	DDX_Control(pDX, IDC_TEXT2_STATIC,		m_GraphTitle2);
	DDX_Control(pDX, IDC_GRAPH_STATIC,		m_Graph);
	DDX_Control(pDX, IDC_CH0_STATIC,		m_SingleAD0Title);
	DDX_Control(pDX, IDC_CH0_DATA_STATIC,	m_SingleAD0);
	DDX_Control(pDX, IDC_CH1_STATIC,		m_SingleAD1Title);
	DDX_Control(pDX, IDC_CH1_DATA_STATIC,	m_SingleAD1);
	DDX_Control(pDX, IDC_GRLABEL1_STATIC,	m_GrLabel1);
	DDX_Control(pDX, IDC_GRLABEL2_STATIC,	m_GrLabel2);
	DDX_Control(pDX, IDC_GRLABEL3_STATIC,	m_GrLabel3);
	DDX_Control(pDX, IDC_GRLABEL4_STATIC,	m_GrLabel4);
	DDX_Control(pDX, IDC_GRLABEL5_STATIC,	m_GrLabel5);
	DDX_Control(pDX, IDC_GRLABEL6_STATIC,	m_GrLabel6);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CADDlg, CDialog)
	//{{AFX_MSG_MAP(CADDlg)
	ON_WM_PAINT()
	ON_WM_CTLCOLOR()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_ADSET_BUTTON, OnAdsetButton)
	ON_BN_CLICKED(IDC_GO_BUTTON, OnGoButton)
	ON_BN_CLICKED(IDC_SINGLE_BUTTON, OnSingleButton)
	ON_WM_LBUTTONUP()
	ON_WM_TIMER()
	ON_WM_LBUTTONDOWN()
	ON_BN_CLICKED(IDC_TITLE2_BUTTON, OnTitle2Button)
	ON_WM_KEYUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CADDlg bZ[W nh

BOOL CADDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: ̈ʒuɏ̕⑫ǉĂ

	// Bitmap Button ̐ݒ
	m_Title1Btn.SetDocument(m_pDoc);
	m_Title2Btn.SetDocument(m_pDoc);
	m_ADSetBtn.SetDocument(m_pDoc);
	m_ADGoBtn.SetDocument(m_pDoc);
	m_ADSingleBtn.SetDocument(m_pDoc);

	CString	strFont;
	strFont = TEXT("lr@SVbN");

	m_Title1Font.CreateFont(-15,0,0,0,FW_BOLD,0,0,0,DEFAULT_CHARSET,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH | FF_SWISS, strFont);
	m_Title1Btn.SetFont(&m_Title1Font);
	m_Title2Btn.SetFont(&m_Title1Font);

	m_TextFont.CreateFont(-10,0,0,0,FW_NORMAL,0,0,0,DEFAULT_CHARSET,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH | FF_SWISS, strFont);
	m_GraphTitle1.SetFont(&m_TextFont);
	m_GraphTitle2.SetFont(&m_TextFont);
	m_SingleAD0Title.SetFont(&m_TextFont);
	m_SingleAD1Title.SetFont(&m_TextFont);

	m_ADFont.CreateFont(-30,0,0,0,FW_BOLD,0,0,0,DEFAULT_CHARSET,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH | FF_SWISS, strFont);
	m_SingleAD0.SetFont(&m_ADFont);
	m_SingleAD1.SetFont(&m_ADFont);

	m_LabelFont.CreateFont(-8,0,0,0,FW_NORMAL,0,0,0,DEFAULT_CHARSET,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH | FF_SWISS, strFont);
	m_GrLabel1.SetFont(&m_LabelFont);
	m_GrLabel2.SetFont(&m_LabelFont);
	m_GrLabel3.SetFont(&m_LabelFont);
	m_GrLabel4.SetFont(&m_LabelFont);
	m_GrLabel5.SetFont(&m_LabelFont);
	m_GrLabel6.SetFont(&m_LabelFont);

	DispGraphTitle();

//////////////////////////////////////////////////////////////////////////////
// for PocketPC2003
// 2004/09/08 +++<S>+++
	ShowWindow(SW_SHOW);
// 2004/09/08 +++<E>+++
//////////////////////////////////////////////////////////////////////////////

	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}

void CADDlg::OnPaint() 
{
	CPaintDC dc(this); // `p̃foCX ReLXg
	
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉĂ
	
	CRect	rcFrame;
	CRect	rc;
	INT		x,y,y1,y2;
	GetWindowRect(&rcFrame);

	dc.FillRect(rcFrame, &CBrush(BACKGROUND_COLOR));			//lp`hԂ

	// E`p
	CPen*	pOldPen;
	CPen	PenData1(PS_SOLID,1,BACKGROUND_COLOR);
	CPen	PenData2(PS_SOLID,1,PEN2_COLOR);

	pOldPen		= dc.SelectObject(&PenData2);

	rc.left		= rcFrame.Width()*3/4;
	rc.top		= AD_BAR_Y1;
	rc.right	= rcFrame.Width();
	rc.bottom	= AD_BAR_Y1+AD_BAR_HEIGHT;
	dc.FillRect(rc, &CBrush(::GetSysColor(COLOR_3DFACE)));			//lp`hԂ

	m_Title1Btn.MoveWindow(	0				,AD_BAR_Y1		,rcFrame.Width()*3/4	,AD_BAR_HEIGHT);
	dc.MoveTo(0,AD_BAR_Y1+AD_BAR_HEIGHT);
	dc.LineTo(rcFrame.Width(),AD_BAR_Y1+AD_BAR_HEIGHT);
	m_ADSetBtn.MoveWindow(	AD_SETBTN_X		,AD_SETBTN_Y	,AD_BTN_WIDTH			,AD_BTN_HIGHT);
	m_ADGoBtn.MoveWindow(	AD_GOBTN_X		,AD_GOBTN_Y		,AD_BTN_WIDTH			,AD_BTN_HIGHT);


	x			= rcFrame.Width()/2 - AD_SINGLE_WIDTH - 1;	// 2004/03/18
	y			= rcFrame.Height() - AD_SINGLE_HIGHT;
	m_SingleAD0.MoveWindow(	x				,y				,AD_SINGLE_WIDTH		,AD_SINGLE_HIGHT);
	m_SingleAD1.MoveWindow(	rcFrame.Width()/2,y				,AD_SINGLE_WIDTH		,AD_SINGLE_HIGHT);

	y			= y - AD_SINGLE_TITLE_H;
	m_SingleAD0Title.MoveWindow(x			,y				,AD_SINGLE_WIDTH		,AD_SINGLE_TITLE_H);
	m_SingleAD1Title.MoveWindow(rcFrame.Width()/2,y			,AD_SINGLE_WIDTH		,AD_SINGLE_TITLE_H);

	y			= y - AD_BAR_HEIGHT;
	rc.left		= rcFrame.Width()*3/4;
	rc.top		= y;
	rc.right	= rcFrame.Width();
	rc.bottom	= y + AD_BAR_HEIGHT;
	dc.FillRect(rc, &CBrush(::GetSysColor(COLOR_3DFACE)));			//lp`hԂ
	m_Title2Btn.MoveWindow(	0				,y				,rcFrame.Width()*3/4	,AD_BAR_HEIGHT);
	dc.MoveTo(0,y-1);
	dc.LineTo(rcFrame.Width(),y-1);
	dc.MoveTo(0,y+AD_BAR_HEIGHT);
	dc.LineTo(rcFrame.Width(),y+AD_BAR_HEIGHT);
	m_ADSingleBtn.MoveWindow(	AD_SINGLEBTN_X,y+AD_SETBTN_Y,AD_BTN_WIDTH			,AD_BTN_HIGHT);


	y1			= AD_BAR_Y1+AD_BAR_HEIGHT;
	m_GraphTitle1.MoveWindow(x				,y1				,AD_GRAPH_WIDTH			,AD_GRAPH_TITLE_H);
	y1			= y1 + AD_GRAPH_TITLE_H;
	m_GraphTitle2.MoveWindow(x				,y1				,AD_GRAPH_WIDTH			,AD_GRAPH_TITLE_H);
	y1			= y1 + AD_GRAPH_TITLE_H;
	m_Graph.MoveWindow(		x				,y1				,AD_GRAPH_WIDTH			,y - y1);
	if(m_pTGraph == NULL)
	{
		m_Graph.GetClientRect(&rc);
		m_pTGraph	= new CTGraph((CWnd*)&m_Graph,rc);
		m_pTGraph->StartTimerGraph((CWnd*)&m_Graph,0.0);
	}
	else
		m_pTGraph->Redraw((CWnd*)&m_Graph);

	y2			= (y - y1)/5;
	y1			= y1 - AD_GRAPH_LABEL_H / 2;
	m_GrLabel1.MoveWindow(	AD_GRAPH_LABEL_X,y1				,AD_GRAPH_LABEL_W		,AD_GRAPH_LABEL_H);
	y1			= y1 + y2;
	m_GrLabel2.MoveWindow(	AD_GRAPH_LABEL_X,y1				,AD_GRAPH_LABEL_W		,AD_GRAPH_LABEL_H);
	y1			= y1 + y2;
	m_GrLabel3.MoveWindow(	AD_GRAPH_LABEL_X,y1				,AD_GRAPH_LABEL_W		,AD_GRAPH_LABEL_H);
	y1			= y1 + y2;
	m_GrLabel4.MoveWindow(	AD_GRAPH_LABEL_X,y1				,AD_GRAPH_LABEL_W		,AD_GRAPH_LABEL_H);
	y1			= y1 + y2;
	m_GrLabel5.MoveWindow(	AD_GRAPH_LABEL_X,y1				,AD_GRAPH_LABEL_W		,AD_GRAPH_LABEL_H);
	y1			= y - AD_GRAPH_LABEL_H;
	y1			= y1 - 1;
	m_GrLabel6.MoveWindow(	AD_GRAPH_LABEL_X,y1				,AD_GRAPH_LABEL_W		,AD_GRAPH_LABEL_H);

	dc.SelectObject(pOldPen);

	// `pbZ[WƂ CDialog::OnPaint() ĂяoĂ͂܂
}

HBRUSH CADDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
	
	// TODO: ̈ʒu DC ̃Agr[gύXĂ
	
	if(nCtlColor == CTLCOLOR_STATIC)
	{
		if(	(pWnd == &m_SingleAD0)		||
			(pWnd == &m_SingleAD1)	)	
		{
			pDC->SetTextColor(AD_FACE_COLOR);
			pDC->SetBkMode(TRANSPARENT);
			return ::CreateSolidBrush(AD_BK_COLOR);
		}
		if(	(pWnd == &m_GrLabel1)	||
			(pWnd == &m_GrLabel2)	||
			(pWnd == &m_GrLabel3)	||
			(pWnd == &m_GrLabel4)	||
			(pWnd == &m_GrLabel5)	||
			(pWnd == &m_GrLabel6)	)
		{
			pDC->SetBkMode(TRANSPARENT);
			return ::CreateSolidBrush(BACKGROUND_COLOR);
		}
		if(	(pWnd == &m_GraphTitle1)	||
			(pWnd == &m_GraphTitle2)	||
			(pWnd == &m_SingleAD0Title)	||	
			(pWnd == &m_SingleAD1Title)	)	
		{
			pDC->SetTextColor(AD_TITLE_COLOR);
			pDC->SetBkMode(TRANSPARENT);
			return ::CreateSolidBrush(AD_BK_COLOR);
		}
		if(pWnd == &m_Graph)
		{
//////////////////////////////////////////////////////////////////////////////
// for PocketPC2003
// 2004/09/08 +++<S>+++
			m_uTimer	= SetTimer(2, 200, NULL);			//\pϰN
// 2004/09/08 +++<E>+++
//////////////////////////////////////////////////////////////////////////////
//			pDC->SetBkMode(TRANSPARENT);
//			return ::CreateSolidBrush(AD_BK_COLOR);
		}
	}
	
	// TODO: ftHg̃uV]݂̂̂łȂꍇɂ́AႤuVԂĂ
	return hbr;
}

void CADDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉĂ
	
	// ͂߂Ƀ^C}[~߂
	if(m_uTimer != 0)
	{
		KillTimer(m_uTimer);						//ϰI
		m_uTimer = 0;								//
	}

	BOOL	bSampling	= m_pDoc->GetADSamplingNow();
	if(bSampling)
	{
		CAXCAC01App*	pApp	= (CAXCAC01App*)AfxGetApp();

		pApp->m_AxcAcCtrl.SetADStop();
		m_pDoc->SetADSamplingNow(FALSE);
	}
	
	m_Title1Font.DeleteObject();		//̫ĵ޼ުĂ̔j;
	m_LabelFont.DeleteObject();			//̫ĵ޼ުĂ̔j;
	m_TextFont.DeleteObject();			//̫ĵ޼ުĂ̔j;
	m_ADFont.DeleteObject();			//̫ĵ޼ުĂ̔j;

	if(m_pTGraph != NULL)
	{
		delete	m_pTGraph;
		m_pTGraph = NULL;
	}
}

void CADDlg::DispGraphTitle() 
{
	CString		strBuf1,strBuf2;

	if(m_pDoc->GetADChannel() == 0)
		strBuf1	= TEXT("CHANNEL 0");
	else if(m_pDoc->GetADChannel() == 1)
		strBuf1	= TEXT("CHANNEL 1");

	strBuf2	= TEXT("SAMPLINGRATE ");
	switch(m_pDoc->GetADSampling())
	{
		case	AD_SAMP_1_02:	strBuf2 += TEXT("1.02 ");		break;
		case	AD_SAMP_2_04:	strBuf2 += TEXT("2.04 ");		break;
		case	AD_SAMP_5_1:	strBuf2 += TEXT("5.1 ");		break;
		case	AD_SAMP_10_2:	strBuf2 += TEXT("10.2 ");		break;
		case	AD_SAMP_20_4:	strBuf2 += TEXT("20.4 ");		break;
		case	AD_SAMP_51:		strBuf2 += TEXT("51 ");			break;
		case	AD_SAMP_102:	strBuf2 += TEXT("102 ");		break;
		case	AD_SAMP_204:	strBuf2 += TEXT("204 ");		break;
		case	AD_SAMP_510:	strBuf2 += TEXT("510 ");		break;
	}
	if(m_pDoc->GetADSamplingSet() == AD_SAMP_UM)
		strBuf2	+= TEXT("ʂ");
	else if(m_pDoc->GetADSamplingSet() == AD_SAMP_MM)
		strBuf2	+= TEXT("");
	
	m_GraphTitle1.SetWindowText(strBuf1);
	m_GraphTitle2.SetWindowText(strBuf2);
}

void CADDlg::OnAdsetButton() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	if(m_pDoc->GetADSamplingNow())
		return;
	
	CADSetDlg*	pDlg;
	
	pDlg	= new CADSetDlg(m_pDoc,this);
	pDlg->DoModal();
	
	delete	pDlg;
	
	DispGraphTitle();

	{
		MSG	msg;
		while(::PeekMessage(&msg,NULL,0,0,PM_REMOVE))
		{
			::TranslateMessage(&msg);
			::DispatchMessage(&msg);
		}
	}
	Invalidate(TRUE);
}

void CADDlg::OnGoButton() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	BOOL			bSampling	= m_pDoc->GetADSamplingNow();
	CAXCAC01App*	pApp		= (CAXCAC01App*)AfxGetApp();
	
	if(bSampling)
	{	// TvO->~
		pApp->m_AxcAcCtrl.SetADStop();
		m_pDoc->SetADSamplingNow(FALSE);
		m_ADSetBtn.Invalidate();
		m_ADGoBtn.Invalidate();
		m_ADSingleBtn.Invalidate();
		m_bADLoop	= FALSE;
	}
	else
	{	// TvOJn
// 2005/04/22 +++<S>+++
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(m_pDoc->GetADTrig()))	// gKȂ
			return;
// 2005/04/22 +++<E>+++

		m_pDoc->SetADSamplingNow(TRUE);
		m_ADSetBtn.Invalidate();
		m_ADGoBtn.Invalidate();
		m_ADSingleBtn.Invalidate();

		m_bADLoop	= TRUE;

		while(m_bADLoop)
		{
			if(!pApp->m_AxcAcCtrl.SetADTrgStart())
			{
				return;
			}

			BYTE	byMode;
			BYTE	byCode;

			while(1)
			{
				if(!pApp->m_AxcAcCtrl.GetADDmaResult(&byMode,&byCode))
				{
					{
						MSG	msg;
						while(::PeekMessage(&msg,NULL,0,0,PM_REMOVE))
						{
							::TranslateMessage(&msg);
							::DispatchMessage(&msg);
						}
					}
					if(m_bADLoop == FALSE)
						return;
					continue;
				}
				else
// 2005/04/07 +++<S>+++
				{	// Respons check ̌
					if(byMode == 0x2 && byCode == 0x3)
						break;		// AD OK
					else if(byMode == 0x2 && byCode == 0x1)
						continue;	// AD START
					else if(byMode == 0x2 && byCode == 0x2)
						continue;	// AD BUSY
					else
						break;		// Error ?
				}
//					break;
// 2005/04/07 +++<E>+++
			}
		
			if(byMode == 0x2 && byCode == 0x3)
			{
				WORD	wDataNum	= (WORD)m_pDoc->GetDataNumVal();
				double*	pdData		= new double[wDataNum];
				
				if(!pApp->m_AxcAcCtrl.GetADData(m_pDoc->GetADChannel(),
												pdData,
												wDataNum))
				{
					pApp->m_AxcAcCtrl.SetADStop();
					m_bADLoop	= FALSE;
					m_pDoc->SetADSamplingNow(FALSE);
					m_ADSetBtn.Invalidate();
					m_ADGoBtn.Invalidate();
					m_ADSingleBtn.Invalidate();

					return;
				}

				m_pTGraph->StartTimerGraph((CWnd*)&m_Graph, pdData[0]);
				for(WORD i = 1; i < wDataNum; i++)
				{
					m_pTGraph->SetDataPointer((CWnd*)&m_Graph, pdData[i]);
					{
						MSG	msg;
						while(::PeekMessage(&msg,NULL,0,0,PM_REMOVE))
						{
							::TranslateMessage(&msg);
							::DispatchMessage(&msg);
						}
					}
					if(m_bADLoop == FALSE)
						return;
				}
				// TvO͂PŔ	2004/03/18
				pApp->m_AxcAcCtrl.SetADStop();
				m_pDoc->SetADSamplingNow(FALSE);
				m_ADSetBtn.Invalidate();
				m_ADGoBtn.Invalidate();
				m_ADSingleBtn.Invalidate();
				m_bADLoop	= FALSE;
				return;
			}
			else
			{
				MSG		msg;
				while(::PeekMessage(&msg,NULL,0,0,PM_REMOVE))
				{
					::TranslateMessage(&msg);
					::DispatchMessage(&msg);
				}

// 2005/04/07 +++<S>+++
				// TvO͂PŔ	2004/03/18
				pApp->m_AxcAcCtrl.SetADStop();
				m_pDoc->SetADSamplingNow(FALSE);
				m_ADSetBtn.Invalidate();
				m_ADGoBtn.Invalidate();
				m_ADSingleBtn.Invalidate();
				m_bADLoop	= FALSE;
				return;
// 2005/04/07 +++<E>+++
			
			}
		}
	}
}

void CADDlg::OnSingleButton() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ

//////////////////////////////////////////////////////////////////////////////
// for PocketPC2003
// 2004/09/08 +++<S>+++
	if(!m_pDoc->GetADSamplingNow())
	{
		CAXCAC01App*	pApp	= (CAXCAC01App*)AfxGetApp();
		double			dData1,dData2;
		CString			strBuf1,strBuf2;

		pApp->m_AxcAcCtrl.GetSingleData(&dData1,&dData2);
		strBuf1.Format(TEXT("%.3fv"),dData1);
		strBuf2.Format(TEXT("%.3fv"),dData2);

		m_SingleAD0.SetWindowText(strBuf1);
		m_SingleAD1.SetWindowText(strBuf2);
	}
	m_pTGraph->Redraw((CWnd*)&m_Graph);
	m_uTimer	= SetTimer(2, 500, NULL);			//\pϰN
// 2004/09/08 +++<E>+++
//////////////////////////////////////////////////////////////////////////////
}

void CADDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉ邩܂̓ftHg̏ĂяoĂ
	
	m_pTGraph->Redraw((CWnd*)&m_Graph);

	m_uTimer	= SetTimer(2, 500, NULL);			//\pϰN

	CDialog::OnLButtonUp(nFlags, point);
}

BOOL CADDlg::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult) 
{
	// TODO: ̈ʒuɌŗL̏ǉ邩A܂͊{NXĂяoĂ
	
	NMHDR*	pNM	= (NMHDR*)lParam;

	if(pNM->idFrom == IDC_GRAPH_STATIC)
	{
		m_pTGraph->Redraw((CWnd*)&m_Graph);
	}
	return CDialog::OnNotify(wParam, lParam, pResult);
}

void CADDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉ邩܂̓ftHg̏ĂяoĂ
	
	if(nIDEvent == m_uTimer)
	{
		BOOL	bSampling	= m_pDoc->GetADSamplingNow();
		if(!bSampling)
			m_pTGraph->Redraw((CWnd*)&m_Graph);

		KillTimer(m_uTimer);						//ϰI
		m_uTimer = 0;								//
	}

	CDialog::OnTimer(nIDEvent);
}


//////////////////////////////////////////////////////////////////////////////
// for PocketPC2003
// 2004/09/08 +++<S>+++

void CADDlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉ邩܂̓ftHg̏ĂяoĂ
	
	m_pTGraph->Redraw((CWnd*)&m_Graph);
	m_uTimer	= SetTimer(2, 500, NULL);			//\pϰN

	CDialog::OnLButtonDown(nFlags, point);
}

void CADDlg::OnTitle2Button() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	m_pTGraph->Redraw((CWnd*)&m_Graph);
	m_uTimer	= SetTimer(2, 500, NULL);			//\pϰN
}





void CADDlg::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉ邩܂̓ftHg̏ĂяoĂ
	
	m_pTGraph->Redraw((CWnd*)&m_Graph);
	m_uTimer	= SetTimer(2, 500, NULL);			//\pϰN

	CDialog::OnKeyUp(nChar, nRepCnt, nFlags);
}
// 2004/09/08 +++<E>+++
//////////////////////////////////////////////////////////////////////////////
