// ADSetDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "AXCAC01.h"
#include "ADSetDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CADSetDlg _CAO


CADSetDlg::CADSetDlg(CAXCAC01Doc* pDoc,CWnd* pParent /*=NULL*/)
	: CDialog(CADSetDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CADSetDlg)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_DATA_INIT

	m_pDoc	= pDoc;
}


void CADSetDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CADSetDlg)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	DDX_Control(pDX, IDC_TITLE1_BUTTON,	m_Title1Btn);
	DDX_Control(pDX, IDC_TITLE2_BUTTON,	m_Title2Btn);
	DDX_Control(pDX, IDC_CH0_RADIO,		m_Ch0Radio);
	DDX_Control(pDX, IDC_CH1_RADIO,		m_Ch1Radio);
	DDX_Control(pDX, IDC_IN1_STATIC,	m_In1Static);
	DDX_Control(pDX, IDC_IN2_STATIC,	m_In2Static);
	DDX_Control(pDX, IDC_IN3_STATIC,	m_In3Static);
	DDX_Control(pDX, IDC_IN4_STATIC,	m_In4Static);
	DDX_Control(pDX, IDC_IN1_COMBO,		m_In1Combo);
	DDX_Control(pDX, IDC_IN2_COMBO,		m_In2Combo);
	DDX_Control(pDX, IDC_IN3_COMBO,		m_In3Combo);
	DDX_Control(pDX, IDC_IN4_COMBO,		m_In4Combo);
	DDX_Control(pDX, IDC_IN5_COMBO,		m_In5Combo);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CADSetDlg, CDialog)
	//{{AFX_MSG_MAP(CADSetDlg)
	ON_WM_PAINT()
	ON_WM_CTLCOLOR()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_CH0_RADIO, OnCh0Radio)
	ON_BN_CLICKED(IDC_CH1_RADIO, OnCh1Radio)
	ON_CBN_SELCHANGE(IDC_IN1_COMBO, OnSelchangeIn1Combo)
	ON_CBN_SELCHANGE(IDC_IN2_COMBO, OnSelchangeIn2Combo)
	ON_CBN_SELCHANGE(IDC_IN3_COMBO, OnSelchangeIn3Combo)
	ON_CBN_SELCHANGE(IDC_IN4_COMBO, OnSelchangeIn4Combo)
	ON_CBN_SELCHANGE(IDC_IN5_COMBO, OnSelchangeIn5Combo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CADSetDlg bZ[W nh

BOOL CADSetDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: ̈ʒuɏ̕⑫ǉĂ
	
	// Bitmap Button ̐ݒ
	m_Title1Btn.SetDocument(m_pDoc);
	m_Title2Btn.SetDocument(m_pDoc);
	
	CString	strFont;
	strFont = TEXT("lr@SVbN");

	m_TitleFont.CreateFont(-15,0,0,0,FW_BOLD,0,0,0,DEFAULT_CHARSET,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH | FF_SWISS, strFont);
	m_Title1Btn.SetFont(&m_TitleFont);
	m_Title2Btn.SetFont(&m_TitleFont);
	
	m_StaticFont.CreateFont(-13,0,0,0,FW_BOLD,0,0,0,DEFAULT_CHARSET,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH | FF_SWISS, strFont);
	m_Ch0Radio.SetFont(&m_StaticFont);
	m_Ch1Radio.SetFont(&m_StaticFont);
	m_In1Static.SetFont(&m_StaticFont);
	m_In2Static.SetFont(&m_StaticFont);
	m_In3Static.SetFont(&m_StaticFont);
	m_In4Static.SetFont(&m_StaticFont);
	
	m_ComboFont.CreateFont(-12,0,0,0,FW_NORMAL,0,0,0,DEFAULT_CHARSET,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH | FF_SWISS, strFont);
	m_In1Combo.SetFont(&m_ComboFont);
	m_In2Combo.SetFont(&m_ComboFont);
	m_In3Combo.SetFont(&m_ComboFont);
	m_In4Combo.SetFont(&m_ComboFont);
	m_In5Combo.SetFont(&m_ComboFont);
	
	int	nSel	= m_pDoc->GetADChannel();
	int	nCurSel;
	
// 2004/03/18 +++<S>+++
	if(m_pDoc->GetADSetting() == AD_SAMP_DOUBLE)
	{
		if(nSel != 0)
		{
			m_pDoc->SetADChannel(0);	// Hoken
			nSel	= 0;				// Hoken
		}
		m_Ch1Radio.EnableWindow(FALSE);
	}
// 2004/03/18 +++<E>+++
	
	if(nSel == 0)
	{
		m_Ch0Radio.SetCheck(1);
		m_Ch1Radio.SetCheck(0);
	}
	else if(nSel == 1)
	{
		m_Ch0Radio.SetCheck(0);
		m_Ch1Radio.SetCheck(1);
	}

	nSel	= m_pDoc->GetADSetting();
	nCurSel	= -1;
	switch(nSel)
	{
		case	AD_SAMP_SINGLE:		nCurSel	= 0;	break;
		case	AD_SAMP_DOUBLE:		nCurSel	= 1;	break;
	}
	m_In1Combo.SetCurSel(nCurSel);

	nSel	= m_pDoc->GetADSampling();
	nCurSel	= -1;
	switch(nSel)
	{
		case	AD_SAMP_1_02:		nCurSel	= 0;	break;
		case	AD_SAMP_2_04:		nCurSel	= 1;	break;
		case	AD_SAMP_5_1:		nCurSel	= 2;	break;
		case	AD_SAMP_10_2:		nCurSel	= 3;	break;
		case	AD_SAMP_20_4:		nCurSel	= 4;	break;
		case	AD_SAMP_51:			nCurSel	= 5;	break;
		case	AD_SAMP_102:		nCurSel	= 6;	break;
		case	AD_SAMP_204:		nCurSel	= 7;	break;
		case	AD_SAMP_510:		nCurSel	= 8;	break;
	}
	m_In2Combo.SetCurSel(nCurSel);

	nSel	= m_pDoc->GetADSamplingSet();
	nCurSel	= -1;
	switch(nSel)
	{
		case	AD_SAMP_UM:			nCurSel	= 0;	break;
		case	AD_SAMP_MM:			nCurSel	= 1;	break;
	}
	m_In3Combo.SetCurSel(nCurSel);

	nSel	= m_pDoc->GetADDataNum();
	nCurSel	= -1;
	switch(nSel)
	{
		case	AD_DATA_1024:		nCurSel	= 0;	break;
		case	AD_DATA_2048:		nCurSel	= 1;	break;
		case	AD_DATA_4096:		nCurSel	= 2;	break;
		case	AD_DATA_8192:		nCurSel	= 3;	break;
		case	AD_DATA_16384_0:	nCurSel	= 4;	break;
	}
	m_In4Combo.SetCurSel(nCurSel);
	m_In4Combo.GetLBText(4,m_strCombo4Bk);
// 2004/03/18 +++<S>+++
//	if(m_pDoc->GetADSetting() == AD_SAMP_DOUBLE)
//		m_In4Combo.DeleteString(4);
// 2004/03/18 +++<E>+++

	nSel	= m_pDoc->GetADTrig();
	nCurSel	= -1;
	switch(nSel)
	{
		case	AD_TRG_NONE:		nCurSel	= 0;	break;
		case	AD_TRG_EXT_U:		nCurSel	= 1;	break;
		case	AD_TRG_EXT_D:		nCurSel	= 2;	break;
		case	AD_TRG_CP_U:		nCurSel	= 3;	break;
		case	AD_TRG_CP_D:		nCurSel	= 4;	break;
		case	AD_TRG_PB_U:		nCurSel	= 5;	break;
		case	AD_TRG_PB_D:		nCurSel	= 6;	break;
	}
	m_In5Combo.SetCurSel(nCurSel);

//////////////////////////////////////////////////////////////////////////////
// for PocketPC2003
// 2004/09/08 +++<S>+++
	ShowWindow(SW_SHOW);
// 2004/09/08 +++<E>+++
//////////////////////////////////////////////////////////////////////////////

	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}

void CADSetDlg::OnPaint() 
{
	CPaintDC dc(this); // `p̃foCX ReLXg
	
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉĂ
	
	CRect	rcFrame;
	CRect	rc;
	GetWindowRect(&rcFrame);

	dc.FillRect(rcFrame, &CBrush(BACKGROUND_COLOR));			//lp`hԂ

	m_Title1Btn.MoveWindow(0			,ADSET_BAR_Y1		,rcFrame.Width()	,ADSET_BAR_HEIGHT);
	m_Title2Btn.MoveWindow(0			,ADSET_BAR_Y2		,rcFrame.Width()	,ADSET_BAR_HEIGHT);
	
	m_In1Static.GetWindowRect(&rc);
	m_In1Static.MoveWindow(ADSET_IN1_X	,ADSET_IN1_Y+1		,rc.Width()			,rc.Height());
	m_In2Static.GetWindowRect(&rc);
	m_In2Static.MoveWindow(ADSET_IN2_X	,ADSET_IN2_Y+1		,rc.Width()			,rc.Height());
	m_In3Static.GetWindowRect(&rc);
	m_In3Static.MoveWindow(ADSET_IN3_X	,ADSET_IN3_Y+1		,rc.Width()			,rc.Height());
	m_In4Static.GetWindowRect(&rc);
	m_In4Static.MoveWindow(ADSET_IN4_X	,ADSET_IN4_Y+1		,rc.Width()			,rc.Height());

	m_In1Combo.GetWindowRect(&rc);
	m_In1Combo.MoveWindow(ADSET_COMBO_X1,ADSET_IN1_Y		,rc.Width()			,rc.Height());
	m_In2Combo.GetWindowRect(&rc);
	m_In2Combo.MoveWindow(ADSET_COMBO_X1,ADSET_IN2_Y		,rc.Width()			,rc.Height());
	m_In3Combo.GetWindowRect(&rc);
	m_In3Combo.MoveWindow(ADSET_COMBO_X2,ADSET_IN2_Y		,rc.Width()			,rc.Height());
	m_In4Combo.GetWindowRect(&rc);
	m_In4Combo.MoveWindow(ADSET_COMBO_X1,ADSET_IN3_Y		,rc.Width()			,rc.Height());
	m_In5Combo.GetWindowRect(&rc);
	m_In5Combo.MoveWindow(ADSET_COMBO_X1,ADSET_IN4_Y		,rc.Width()			,rc.Height());


	// E`
	CPen*	pOldPen;
	CPen	PenData1(PS_SOLID,1,PEN1_COLOR);
	CPen	PenData2(PS_SOLID,1,PEN2_COLOR);

	pOldPen		= dc.SelectObject(&PenData2);
	dc.MoveTo(0,ADSET_BAR_Y1+DA_BAR_HEIGHT);
	dc.LineTo(rcFrame.Width(),ADSET_BAR_Y1+DA_BAR_HEIGHT);
	
	dc.MoveTo(0,ADSET_BAR_Y2-1);
	dc.LineTo(rcFrame.Width(),ADSET_BAR_Y2-1);
	dc.MoveTo(0,ADSET_BAR_Y2+ADSET_BAR_HEIGHT);
	dc.LineTo(rcFrame.Width(),ADSET_BAR_Y2+ADSET_BAR_HEIGHT);
	
	dc.MoveTo(0,ADSET_BAR_Y3);
	dc.LineTo(rcFrame.Width(),ADSET_BAR_Y3);
	
	dc.SelectObject(pOldPen);



	// `pbZ[WƂ CDialog::OnPaint() ĂяoĂ͂܂
}

HBRUSH CADSetDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
	
	// TODO: ̈ʒu DC ̃Agr[gύXĂ
	
	if(nCtlColor == CTLCOLOR_STATIC)
	{
		if(	(pWnd == &m_In1Static)	||
			(pWnd == &m_In2Static)	||
			(pWnd == &m_In3Static)	||
			(pWnd == &m_In4Static)	)
		{
			pDC->SetBkMode(TRANSPARENT);
			return ::CreateSolidBrush(BACKGROUND_COLOR);
		}
		if(	(pWnd == &m_Ch0Radio)	||
			(pWnd == &m_Ch1Radio)	)
		{
			pDC->SetBkMode(TRANSPARENT);
			return ::CreateSolidBrush(BACKGROUND_COLOR);
		}
	}

	// TODO: ftHg̃uV]݂̂̂łȂꍇɂ́AႤuVԂĂ
	return hbr;
}

void CADSetDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: ̈ʒuɃbZ[W nhp̃R[hǉĂ
	
	m_TitleFont.DeleteObject();			//̫ĵ޼ުĂ̔j
	m_StaticFont.DeleteObject();		//̫ĵ޼ުĂ̔j
	m_ComboFont.DeleteObject();			//̫ĵ޼ުĂ̔j
}

void CADSetDlg::OnCh0Radio() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	m_pDoc->SetADChannel(0);

	{
#if 0	// 2004/03/18 	Jbg
		INT		nNum	= m_In4Combo.GetCount();

		if(nNum != 5)
		{
			INT		nSel	= m_In1Combo.GetCurSel();
			if(nSel == 0)
				m_In4Combo.InsertString(4,m_strCombo4Bk);
		}
#endif
	}
}

void CADSetDlg::OnCh1Radio() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	m_pDoc->SetADChannel(1);

	{
#if 0	// 2004/03/18 	Jbg
		INT		nNum	= m_In4Combo.GetCount();

		if(nNum == 5)
			m_In4Combo.DeleteString(4);
#endif
	}
}

void CADSetDlg::OnSelchangeIn1Combo() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	CAXCAC01App*	pApp	= (CAXCAC01App*)AfxGetApp();
	INT				nSel	= m_In1Combo.GetCurSel();
	INT				nNum	= m_In4Combo.GetCount();
	
	if(nSel == 0)
	{
		if(!pApp->m_AxcAcCtrl.SetADSampleEnd(AD_SAMP_SINGLE))
		{
			return;
		}
	
		m_pDoc->SetADSetting(AD_SAMP_SINGLE);
#if 1	// 2004/03/18 CHANNEL1 Lɂ
		m_Ch1Radio.EnableWindow(TRUE);
#else	// 2004/03/18 	Jbg
		if(nNum != 5)
		{
			if(m_pDoc->GetADChannel() == 0)
				m_In4Combo.InsertString(4,m_strCombo4Bk);
		}
#endif
	}
	else if(nSel == 1)
	{
		if(!pApp->m_AxcAcCtrl.SetADSampleEnd(AD_SAMP_DOUBLE))
		{
			return;
		}
	
		m_pDoc->SetADSetting(AD_SAMP_DOUBLE);
#if 1	// 2004/03/18 CHANNEL1 𖳌ɂ
		m_Ch0Radio.SetCheck(1);
		m_Ch1Radio.SetCheck(0);
		m_pDoc->SetADChannel(0);

		m_Ch1Radio.EnableWindow(FALSE);
#else	// 2004/03/18 	Jbg
		m_pDoc->SetADSetting(AD_SAMP_DOUBLE);
		if(nNum == 5)
			m_In4Combo.DeleteString(4);
#endif
	}
}

void CADSetDlg::OnSelchangeIn2Combo() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	CAXCAC01App*	pApp	= (CAXCAC01App*)AfxGetApp();
	INT				nSel	= m_In2Combo.GetCurSel();
	
	if(nSel == 0)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC1))		// 1.02
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_1))	// x 1
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_1_02);
	}
	else if(nSel == 1)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC2))		// 2.04
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_1))	// x 1
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_2_04);
	}
	else if(nSel == 2)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC3))		// 5.10
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_1))	// x 1
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_5_1);
	}
	else if(nSel == 3)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC1))		// 1.02
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_10))	// x 10
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_10_2);
	}
	else if(nSel == 4)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC2))		// 2.04
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_10))	// x 10
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_20_4);
	}
	else if(nSel == 5)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC3))		// 5.04
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_10))	// x 10
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_51);
	}
	else if(nSel == 6)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC1))		// 1.02
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_100))	// x 100
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_102);
	}
	else if(nSel == 7)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC2))		// 2.04
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_100))	// x 100
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_204);
	}
	else if(nSel == 8)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockSrc(AD_CLK_SRC3))		// 5.04
		{
			return;
		}
		if(!pApp->m_AxcAcCtrl.SetADClockBase(AD_CLK_BASE_100))	// x 100
		{
			return;
		}
		m_pDoc->SetADSampling(AD_SAMP_510);
	}
}

void CADSetDlg::OnSelchangeIn3Combo() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	CAXCAC01App*	pApp	= (CAXCAC01App*)AfxGetApp();
	INT				nSel	= m_In3Combo.GetCurSel();
	
	if(nSel == 0)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockTime(AD_SAMP_UM))		// usec
		{
			return;
		}
		m_pDoc->SetADSamplingSet(AD_SAMP_UM);
	}
	else if(nSel == 1)
	{
		if(!pApp->m_AxcAcCtrl.SetADClockTime(AD_SAMP_MM))		// msec
		{
			return;
		}
		m_pDoc->SetADSamplingSet(AD_SAMP_MM);
	}
}

void CADSetDlg::OnSelchangeIn4Combo() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	CAXCAC01App*	pApp	= (CAXCAC01App*)AfxGetApp();
	INT				nSel	= m_In4Combo.GetCurSel();
	
	if(nSel == 0)
	{
		if(!pApp->m_AxcAcCtrl.SetADSamplingNum(AD_DATA_1024))		// 1024
		{
			return;
		}
		m_pDoc->SetADDataNum(AD_DATA_1024);
	}
	else if(nSel == 1)
	{
		if(!pApp->m_AxcAcCtrl.SetADSamplingNum(AD_DATA_2048))		// 2048
		{
			return;
		}
		m_pDoc->SetADDataNum(AD_DATA_2048);
	}
	else if(nSel == 2)
	{
		if(!pApp->m_AxcAcCtrl.SetADSamplingNum(AD_DATA_4096))		// 4096
		{
			return;
		}
		m_pDoc->SetADDataNum(AD_DATA_4096);
	}
	else if(nSel == 3)
	{
		if(!pApp->m_AxcAcCtrl.SetADSamplingNum(AD_DATA_8192))		// 8192
		{
			return;
		}
		m_pDoc->SetADDataNum(AD_DATA_8192);
	}
	else if(nSel == 4)
	{
		if(!pApp->m_AxcAcCtrl.SetADSamplingNum(AD_DATA_16384_0))	// 19384
		{
			return;
		}
		m_pDoc->SetADDataNum(AD_DATA_16384_0);
	}
}

void CADSetDlg::OnSelchangeIn5Combo() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	
	CAXCAC01App*	pApp	= (CAXCAC01App*)AfxGetApp();
	INT				nSel	= m_In5Combo.GetCurSel();
	
	if(nSel == 0)
	{
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(AD_TRG_NONE))	// gKȂ
		{
			return;
		}
		m_pDoc->SetADTrig(AD_TRG_NONE);
	}
	else if(nSel == 1)
	{
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(AD_TRG_EXT_U))	// OgK
		{
			return;
		}
		m_pDoc->SetADTrig(AD_TRG_EXT_U);
	}
	else if(nSel == 2)
	{
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(AD_TRG_EXT_D))	// OgK
		{
			return;
		}
		m_pDoc->SetADTrig(AD_TRG_EXT_D);
	}
	else if(nSel == 3)
	{
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(AD_TRG_CP_U))	// CP gK
		{
			return;
		}
		m_pDoc->SetADTrig(AD_TRG_CP_U);
	}
	else if(nSel == 4)
	{
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(AD_TRG_CP_D))	// CP gK
		{
			return;
		}
		m_pDoc->SetADTrig(AD_TRG_CP_D);
	}
	else if(nSel == 5)
	{
// 2004/03/18 +++<S>+++	PortB ݒς
		if(m_pDoc->GetPortBSet() != AXC_IO_IN)
		{
			if(!pApp->m_AxcAcCtrl.SetPortMode(AXC_PORTB,AXC_IO_IN))
			{
				return;
			}
			m_pDoc->SetPortBSet(AXC_IO_IN);
		}
// 2004/03/18 +++<E>+++
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(AD_TRG_PB_U))	// PB gK
		{
			return;
		}
		m_pDoc->SetADTrig(AD_TRG_PB_U);
	}
	else if(nSel == 6)
	{
// 2004/03/18 +++<S>+++	PortB ݒς
		if(m_pDoc->GetPortBSet() != AXC_IO_IN)
		{
			if(!pApp->m_AxcAcCtrl.SetPortMode(AXC_PORTB,AXC_IO_IN))
			{
				return;
			}
			m_pDoc->SetPortBSet(AXC_IO_IN);
		}
// 2004/03/18 +++<E>+++
		if(!pApp->m_AxcAcCtrl.SetADExtTrig(AD_TRG_PB_D))	// PB gK
		{
			return;
		}
		m_pDoc->SetADTrig(AD_TRG_PB_D);
	}
}
