// AXCAC01Doc.h : interface of the CAXCAC01Doc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_AXCAC01DOC_H__FEEF02E0_ECD7_4484_81DE_20AE26796852__INCLUDED_)
#define AFX_AXCAC01DOC_H__FEEF02E0_ECD7_4484_81DE_20AE26796852__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


class CAXCAC01Doc : public CDocument
{
protected: // create from serialization only
	CAXCAC01Doc();
	DECLARE_DYNCREATE(CAXCAC01Doc)

// Attributes
public:

// Operations
public:
	VOID	SetAxcCF(int nAxcCF);
	INT		GetAxcCF()			{	return	m_nAxcCF;		}
	VOID	SetComPort(int nPort);
	INT		GetComPort()		{	return	m_nComPort;		}

	BOOL	GetADSamplingNow()	{	return	m_bADSamplingNow;	}
	VOID	SetADSamplingNow(BOOL bADSamplingNow);

	VOID	MakeADDemoData();
	VOID	GetADDemoSingle(double* pData1,double* pData2);
	INT		GetDataNumVal();

	INT		GetADChannel()		{	return	m_nADChannel;		}
	INT		GetADSetting()		{	return	m_nADSetting;		}
	INT		GetADSampling()		{	return	m_nADSampling;		}
	INT		GetADSamplingSet()	{	return	m_nADSamplingSet;	}
	INT		GetADDataNum()		{	return	m_nADDataNum;		}
	INT		GetADTrig()			{	return	m_nTrig;			}
	double	GetADData(INT nNum)	{	return	m_dADData[nNum];	}
	VOID	SetADChannel(INT nADChannel);
	VOID	SetADSetting(INT nADSetting);
	VOID	SetADSampling(INT nADSampling);
	VOID	SetADSamplingSet(INT nADSamplingSet);
	VOID	SetADDataNum(INT nADDataNum);
	VOID	SetADTrig(INT nTrig);
	VOID	SetADData(double dADData,INT nNum);

	INT		GetDAChannel()		{	return	m_nDAChannel;	}
	INT		GetDAValueSel()		{	return	m_nDAValueSel;	}
	double	GetDAValue()		{	return	m_dDAValue;		}
	BOOL	GetDAOut()			{	return	m_bDAOut;		}
	VOID	SetDACannel(INT nDAChannel);
	VOID	SetDAValueSel(INT nDAValueSel);
	VOID	SetDAValue(double dDAValue);
	VOID	SetDAOut(BOOL bDAOut);

	INT		GetPortASet()		{	return	m_nSetPortA;	}
	INT		GetPortBSet()		{	return	m_nSetPortB;	}
	INT		GetPortCSet()		{	return	m_nSetPortC;	}
	INT		GetPortDSet()		{	return	m_nSetPortD;	}
	VOID	SetPortASet(INT nSetPortA);
	VOID	SetPortBSet(INT nSetPortB);
	VOID	SetPortCSet(INT nSetPortC);
	VOID	SetPortDSet(INT nSetPortD);

	BYTE	GetInData()			{	return	m_byInData;		}
	BYTE	GetOutData()		{	return	m_byOutData;	}
	VOID	SetInData(BYTE byInData);
	VOID	SetOutData(BYTE byOutData);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAXCAC01Doc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CAXCAC01Doc();
#ifdef _DEBUG
	virtual void AssertValid() const;
//	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CAXCAC01Doc)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	INT		m_nAxcCF;
	INT		m_nComPort;
	INT		m_nSetPortA;
	INT		m_nSetPortB;
	INT		m_nSetPortC;
	INT		m_nSetPortD;

	BOOL	m_bADSamplingNow;

	INT		m_nADChannel;
	INT		m_nADSetting;
	INT		m_nADSampling;
	INT		m_nADSamplingSet;
	INT		m_nADDataNum;
	INT		m_nTrig;
	double	m_dADData[AD_MAX_DATA];

	INT		m_nDAChannel;
	INT		m_nDAValueSel;
	double	m_dDAValue;
	BOOL	m_bDAOut;

	BYTE	m_byInData;		// Low 4 bit
	BYTE	m_byOutData;	// Low 4 bit
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_AXCAC01DOC_H__FEEF02E0_ECD7_4484_81DE_20AE26796852__INCLUDED_)
